---
layout: handbook-page-toc
title: "Verify Stage Direction"
description: "Check out GitLab's Direction for automatically building, testing, and optimizing code."
canonical_path: "/direction/verify/"
---

- TOC
{:toc}

## Overview

Everyone can contribute! Feel free to comment on our [async AMA issue](https://gitlab.com/gitlab-com/Product/-/issues/3278), [email Jackie Porter](mailto:jporter@gitlab.com),
and [propose an MR](https://gitlab.com/gitlab-com/www-gitlab-com/-/edit/master/source/direction/verify/index.html.md.erb) to this page!

<%= devops_diagram(["Verify"]) %>

- Please comment and contribute in the linked [issues](https://gitlab.com/gitlab-org/gitlab/-/issues/?sort=updated_desc&state=opened&label_name%5B%5D=devops%3A%3Averify&first_page_size=20) on this page. Sharing your feedback directly on GitLab.com is the best way to contribute to our strategy and vision.
- Please share feedback directly via email, Twitter, or on a video call. If you're a GitLab user and want to discuss how GitLab can improve Variables, we'd especially love to hear from you.

### What is Verify?

The Verify Stage is responsible for executing on the market needs for continuous integration.

From our Continuous Integration [use case](/handbook/marketing/brand-and-product-marketing/product-and-solution-marketing/usecase-gtm/ci/#continuous-integration):

_When practicing Continuous Integration, teams collaborate on projects using a shared repository to store, modify, and track frequent changes to their codebase. Developers check in or integrate their code into the repository multiple times daily and rely on automated tests to run in the background. These automated tests verify the changes by checking for potential bugs and security vulnerabilities, as well as performance and code quality degradations. Running tests as early in the software development lifecycle as possible is advantageous to detect problems before they intensify._

### Verify Vision 

<%= partial("/direction/verify/includes/_verify-vision.erb") %>

### Stage Strategy

<%= partial("direction/ci/strategies/_verify.erb") %>
